Redland RDF Application Framework API Reference Manual
<<< Previous |  | Next >>>

# librdf_new_model_from_model

## Name

librdf_new_model_from_model -- Copy constructor - create a new librdf_model from an existing one

## Synopsis

``librdf_model* `librdf_new_model_from_model`` (librdf_model* `model`);`

## Arguments

`model`

  the existing librdf_model

## Description

Creates a new model as a copy of the existing model in the same storage context.

## Return value

a new librdf_model or NULL on failure

<<< Previous | Home | Next >>>
librdf_new_model_with_options | Up | librdf_free_model